shishi_key_from_name(3)

NAME
shishi_key_from_name - API function

SYNOPSIS
#include <shishi.h>

int shishi_key_from_name(Shishi * handle, int32_t type, const char * name, const char * password, size_t passwordlen, const char * parameter, Shishi_key ** outkey);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

int32_t type
    type of key.

const char * name
    principal name of user.

const char * password
    input array containing password.

size_t passwordlen
    length of input array containing password.

const char * parameter
    input array with opaque encryption type specific information.

Shishi_key ** outkey
    pointer to structure that will hold newly created key information

DESCRIPTION
Create a new Key information structure, and derive the key from principal name and password using shishi_key_from_name(). The salt is derived from the principal name by concatenating the decoded realm and principal.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.